CS::Physics::Bullet::HitBeamResult Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::Physics::Bullet::HitBeamResult Struct Reference

Return structure for the CS::Physics::Bullet::iDynamicSystem::HitBeam() routine. More...

`#include <ivaria/bullet.h>`

List of all members.

## Public Attributes
iBody * | body
| The resulting body that was hit, or 0 if no body was hit.
bool | hasHit
| Whether the beam has hit a body or not.
csVector3 | isect
| Intersection point in world space.
csVector3 | normal
| Normal to the surface of the body at the intersection point.
size_t | vertexIndex
| The index of the closest vertex of the soft body to be hit.

## Detailed Description

Return structure for the CS::Physics::Bullet::iDynamicSystem::HitBeam() routine.

It returns whether a rigid body, a soft body or a physical terrain collider has been hit.

See also:
  csHitBeamResult csSectorHitBeamResult

Definition at line 97 of file bullet.h.

## Member Data Documentation

iBody* CS::Physics::Bullet::HitBeamResult::body

The resulting body that was hit, or 0 if no body was hit.

Definition at line 111 of file bullet.h.

bool CS::Physics::Bullet::HitBeamResult::hasHit

Whether the beam has hit a body or not.

Definition at line 106 of file bullet.h.

csVector3 CS::Physics::Bullet::HitBeamResult::isect

Intersection point in world space.

Definition at line 116 of file bullet.h.

csVector3 CS::Physics::Bullet::HitBeamResult::normal

Normal to the surface of the body at the intersection point.

Definition at line 121 of file bullet.h.

size_t CS::Physics::Bullet::HitBeamResult::vertexIndex

The index of the closest vertex of the soft body to be hit.

This is only valid if it is a soft body which is hit.

Definition at line 127 of file bullet.h.

The documentation for this struct was generated from the following file:

- ivaria/bullet.h